# Pour la micro:bit
from microbit import *

sleep(1000)
uart.init(baudrate=115200, bits=8, parity=None, stop=1)   #configuration de la liaison série

while True:
    if uart.any():        #test de la présence d'un message sur la liaison série
        msg=uart.read()   #lecture du message
        print(msg)        #affichage du message sur l'interface série (Termite)
        display.scroll(msg)    #affichage du message sur les leds de la microbit
        i2c.write(0x10, bytearray([0, 0, int(msg)]))  #Programmation des moteurs (n°, sens, vitesse)
        i2c.write(0x10, bytearray([2, 0, int(msg)]))
    sleep(200)  #pause de 200

