from microbit import *
from neopixel import NeoPixel
import music




#déclenchement d'une mélodie
tune = ["A7:0", "G7:0", "E7:0", "C7:0", "D7:0", "B7:0", "F7:0", "C8:0", "A7:0", "G7:0", "E7:0", "C7:0", "D7:0", "B7:0", "F7:0", "C8:0"]
music.play(tune)

sleep(1000)

#déclenchement d'une séquence sonore
for freq in range(1000,2000,20):
    music.pitch(int(freq), 1)
for freq in range(3000,1000,-50):
    music.pitch(int(freq), 2)

sleep(1000)

#Gestion des LED neopixels
leds=NeoPixel(pin15,4)
leds[0]=(255,0,0)  #rouge
leds[1]=(0,255,0)  #vert
leds[2]=(0,0,255)  #bleu
leds[3]=(255,255,0) #jaune
leds.show()
