"""
INTRODUCTION AUX INTERFACES HOMME-MACHINES  IHM
"""

import serial,time, tkinter


def bouton_1():
    uart.write(bytes('1', 'UTF-8'))

def bouton_2():
    uart.write(bytes('0', 'UTF-8'))

def quitter():
    global mafenetre
    uart.write(bytes('Au revoir', 'UTF-8'))
    mafenetre.destroy()




#Connection à la carte Micro:bit
uart = serial.Serial('com22', 115200)
time.sleep(1)
uart.write(bytes('OK', 'UTF-8'))


#Création de la fenêtre graphique
mafenetre = tkinter.Tk()
mafenetre.geometry('500x400')
mafenetre.title("IHM_Microbit")
titre = tkinter.Label(text = '\n IHM  Python sur Windows <--> Microbit',font=("Courier", 14,'bold')).pack()


#Création des boutons
bouton1 = tkinter.IntVar()
bouton1 = tkinter.Button(mafenetre,
    text="ON",
    command=bouton_1,
    height = 4,
    width = 12,
    bd = 5
)
bouton1.pack(side='left', padx=30)


bouton2 = tkinter.IntVar()
bouton2 = tkinter.Button(mafenetre,
    text="OFF",
    command=bouton_2,
    height = 4,
    width = 12,
    bd = 5
)
bouton2.pack(side='left', padx=30)


bouton3 = tkinter.Button(mafenetre,
    text="Quit",
    command=quitter,
    height = 4,
    width = 12,
    bd = 5
)
bouton3.pack(side='left', padx=30)



bouton4 = tkinter.Button(mafenetre,
    text="Quit",
    command=quitter,
    height = 4,
    width = 12,
    bd = 5
)
bouton4.pack(side='left', padx=30)



tkinter.mainloop()